using Unity.Entities;
using UnityEngine;

namespace Common
{
    class CharacterAuthoring : MonoBehaviour
    {
        public class CharacterAuthoringBaker : Baker<CharacterAuthoring>
        {
            public override void Bake(CharacterAuthoring authoring)
            {
                var entity = GetEntity(TransformUsageFlags.Dynamic);
                AddComponent<CharacterTag>(entity);
                AddComponent<NewCharacterTag>(entity);
                AddComponent<TdTeam>(entity);
            }
        }
    }
}

